<?php

namespace Hrm\Jobrole;

use DB;
use Illuminate\Database\Seeder;

class JobRoleTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('job_roles')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'jobrole.job_role.view',
                'name'      => 'View JobRole',
            ],
            [
                'slug'      => 'jobrole.job_role.create',
                'name'      => 'Create JobRole',
            ],
            [
                'slug'      => 'jobrole.job_role.edit',
                'name'      => 'Update JobRole',
            ],
            [
                'slug'      => 'jobrole.job_role.delete',
                'name'      => 'Delete JobRole',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/jobrole/job_role',
                'name'        => 'JobRole',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/jobrole/job_role',
                'name'        => 'JobRole',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'job_role',
                'name'        => 'JobRole',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Jobrole',
                'module'    => 'JobRole',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'jobrole.job_role.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
