<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for job_role in jobrole package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  job_role module in jobrole package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'JobRole',
    'names'         => 'JobRoles',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'JobRoles',
        'sub'   => 'JobRoles',
        'list'  => 'List of job_roles',
        'edit'  => 'Edit job_role',
        'create'    => 'Create new job_role'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'slug'                       => 'Please enter slug',
        'name'                       => 'Please enter name',
        'details'                    => 'Please enter details',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'slug'                       => 'Slug',
        'name'                       => 'Name',
        'details'                    => 'Details',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'JobRoles',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
