Lavalite package that provides jobrole management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `hrm/jobrole`.

    "hrm/jobrole": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Hrm\Jobrole\Providers\JobroleServiceProvider::class,

And also add it to alias

    'Jobrole'  => Hrm\Jobrole\Facades\Jobrole::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Hrm\\JobroleTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Hrm\Jobrole\Providers\JobroleServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Hrm\Jobrole\Providers\JobroleServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Hrm\Jobrole\Providers\JobroleServiceProvider" --tag="view"


## Usage


